
-- 1x4 grid

--	1   2   4   3

-- State 3: +1 reward
--    everything else 0

-- agent starts at 1, 2 or 4 uniformly at random
-- agent can move either left or right


-- program options
debug_mode = false;

-- initialise prng
seed = os.time()
math.randomseed(seed)
math.random(); math.random(); math.random();

encode_rew = {}
encode_rew[0]   = '0'
encode_rew[1]   = '1'

decode_act = {}
decode_act['0'] = 'east'
decode_act['1'] = 'west'

maze = {}
maze[1]  = {}; maze[1]['east'] = 2
maze[2]  = {}; maze[2]['east'] = 4; maze[2]['west'] = 1
maze[3]  = {}; maze[3]['west'] = 4


-- reset the POMDP to the starting state
function assign_robot ()

	robot_state = math.random(3)
	dprint('robot_state=' .. robot_state)

end


-- compute the next observation based on the world state
function compute_observation ()
	return '0'
end


-- determine the next state
function compute_next_state (action)

	if (maze[robot_state][action] ~= nil) then
		robot_state = maze[robot_state][action]
	end

	-- if we have found a terminal state, reset
	if (robot_state == 4) then
		assign_robot()
		return 1
	else
		dprint('robot_state=' .. robot_state)
		return 0
	end

end


-- debugging print
function dprint (str)

	if (debug_mode) then
		local f = io.output()
		io.output(stderr)
		print(str)
		io.output(f)
	end
end



-- main loop
line   = ''
assign_robot()

local rew = 0
local obs = '0'

repeat

	obs = compute_observation()
	dprint('obs=' .. obs .. ', rew=' .. rew)

	local enc_rew = encode_rew[rew]

	print(obs .. enc_rew)
	io.flush()

	-- grab action
	line = io.read()
	if (line == '') then break end
	action = decode_act[line];
	dprint('action=' .. action)

	rew = compute_next_state(action)

until line == ''




